zenilib: png_info_def Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
png_info_def Struct Reference

`#include <pnginfo.h>`

## Public Attributes

png_byte | bit_depth
png_byte | channels
png_byte | color_type
png_byte | compression_type
png_byte | filter_type
png_uint_32 | free_me
png_uint_32 | height
png_byte | interlace_type
png_uint_16 | num_palette
png_uint_16 | num_trans
png_colorp | palette
png_byte | pixel_depth
png_size_t | rowbytes
png_byte | signature [8]
png_byte | spare_byte
png_uint_32 | valid
png_uint_32 | width

## Detailed Description

Definition at line 56 of file pnginfo.h.

## Member Data Documentation

png_byte png_info_def::bit_depth

Definition at line 66 of file pnginfo.h.

png_byte png_info_def::channels

Definition at line 74 of file pnginfo.h.

png_byte png_info_def::color_type

Definition at line 67 of file pnginfo.h.

png_byte png_info_def::compression_type

Definition at line 69 of file pnginfo.h.

png_byte png_info_def::filter_type

Definition at line 70 of file pnginfo.h.

png_uint_32 png_info_def::free_me

Definition at line 225 of file pnginfo.h.

png_uint_32 png_info_def::height

Definition at line 60 of file pnginfo.h.

png_byte png_info_def::interlace_type

Definition at line 71 of file pnginfo.h.

png_uint_16 png_info_def::num_palette

Definition at line 64 of file pnginfo.h.

png_uint_16 png_info_def::num_trans

Definition at line 65 of file pnginfo.h.

png_colorp png_info_def::palette

Definition at line 63 of file pnginfo.h.

png_byte png_info_def::pixel_depth

Definition at line 75 of file pnginfo.h.

png_size_t png_info_def::rowbytes

Definition at line 62 of file pnginfo.h.

png_byte png_info_def::signature[8]

Definition at line 77 of file pnginfo.h.

png_byte png_info_def::spare_byte

Definition at line 76 of file pnginfo.h.

png_uint_32 png_info_def::valid

Definition at line 61 of file pnginfo.h.

png_uint_32 png_info_def::width

Definition at line 59 of file pnginfo.h.

The documentation for this struct was generated from the following file:

- zenilib/jni/external/libpng/pnginfo.h